Deletes a specific job instance.

When deleting a job instance we also should delete the associated file in the FSS.

DELETE /batch/jobs/{jobName}

Operation id: BatchService_DeleteBatchJob

Tags: BatchService

Parameters

Path parameters

NameTypeRequiredDescription
jobNamestringYesJob Name. Required: true

Query parameters

NameTypeRequiredDescription
tenantIdstringNoWill use the tenantUtil to pull in from bearer token if not provided. Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
jobNamestringNo
importTypestringNoThe type of data being imported. - LOCATIONS: The import file is forwarded directly to the zac-server locations API Constraints: - template_name, deviation, and dry_run are all ignored. - zac-server performs an upsert always, any errors in the file will fail the entire file
statusstringNo
messagestringNo
startTimestring (date-time)No
endTimestring (date-time)No
fssIdstringNo
instanceIdstringNo
historicalJobsarrayNo
creationTimestring (date-time)No
createdBystringNo
createdinteger (int32)No
updatedinteger (int32)No
deletedinteger (int32)No
emailsarrayNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "jobName": {
      "type": "string"
    },
    "importType": {
      "type": "string",
      "description": "The type of data being imported.\n\n - LOCATIONS: The import file is forwarded directly to the zac-server locations API\nConstraints:\n  - template_name, deviation, and dry_run are all ignored.\n  - zac-server performs an upsert always, any errors in the file will fail the entire file",
      "enum": [
        "USERS",
        "ROLES",
        "WORKSPACES",
        "SITES",
        "DEPARTMENTS",
        "HIERARCHIES",
        "SITE_TEMPLATES",
        "PERMISSION_TEMPLATES",
        "GROUPS",
        "LOCATIONS"
      ],
      "default": "USERS"
    },
    "status": {
      "type": "string",
      "enum": [
        "UNKNOWN_STATUS",
        "PENDING",
        "IN_PROGRESS",
        "SUCCEEDED",
        "SUCCEEDED_WITH_ERRORS",
        "FAILED"
      ],
      "default": "UNKNOWN_STATUS"
    },
    "message": {
      "type": "string"
    },
    "startTime": {
      "type": "string",
      "format": "date-time"
    },
    "endTime": {
      "type": "string",
      "format": "date-time"
    },
    "fssId": {
      "type": "string"
    },
    "instanceId": {
      "type": "string"
    },
    "historicalJobs": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "status": {
            "type": "string",
            "enum": [
              "UNKNOWN_STATUS",
              "PENDING",
              "IN_PROGRESS",
              "SUCCEEDED",
              "SUCCEEDED_WITH_ERRORS",
              "FAILED"
            ],
            "default": "UNKNOWN_STATUS"
          },
          "message": {
            "type": "string"
          },
          "startTime": {
            "type": "string",
            "format": "date-time"
          },
          "endTime": {
            "type": "string",
            "format": "date-time"
          },
          "fssId": {
            "type": "string"
          },
          "instanceId": {
            "type": "string"
          }
        }
      }
    },
    "creationTime": {
      "type": "string",
      "format": "date-time"
    },
    "createdBy": {
      "type": "string"
    },
    "created": {
      "type": "integer",
      "format": "int32"
    },
    "updated": {
      "type": "integer",
      "format": "int32"
    },
    "deleted": {
      "type": "integer",
      "format": "int32"
    },
    "emails": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}